Subject: RE: [Hipsec] base-03 state machine, notify

From: "Ahrenholz, Jeffrey M" <[email-masked]>
Date: Fri, 29 Jul 2005 08:54:54 -0700

Petri,

> I'll remove the REKEYING-word from the base specification. In the ESP
> draft, there is no state machine described, and it doesn't 
> define a new state related to rekeying. I think that it doesn't need
> that, but what do others think?

It does seem like the REKEYING state is no longer needed. You remain in ESTABLISHED, but keep track of your outstanding UPDATEs that need to be ACKed. The rekeying UPDATE is one of these packets. (Likewise, for mm-02 there is no "READDRESSING" state, and you keep track of which address is preferred...)

> I think that we should not send anything. Sending something would be
> directly acking ot the ack (which could be defined as a new 
> HIP message :-)

Yes, that sounds right -- don't send anything.

-Jeff

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec